Skip to main content
GET
Retrives a specific payment.

Authorizations

x-digest-key
string
header
required

Your public API key

Headers

x-digest-timestamp
string
required

Current Unix timestamp

x-digest-key
string
required

Your public api key

x-digest-signature
string
required

Digest Auth Signature

Path Parameters

id
string
required

The payment id.

Response

On success the endpoint will return a JSON object with detailed payment information.

id
string
createdAt
string
updatedAt
string
expiresAt
string
mode
string
amount
object
description
string
status
string
settlement_status
string
redirectUrl
string
checkout_id
string
webhookUrl
string
hostedUrl
string
qrCode
string
merchantName
string
cancelUrl
string
locale
string
metadata
object
stellarTxId
string
settlement_stellarTxId
string
settlement_currency
string
settlement_amount
number
settlement_fee
number
amount_paid
number
history
object[]
sender_account
string
asset_id
string
refunded
boolean
type
string
partner_id
string
escrow_status
string

Current escrow status. Only present for merchants with settlement_mode = escrow. Possible values: created, funded, failed.

escrow_order_id
string

The on-chain escrow order ID. Only present for merchants with settlement_mode = escrow.

escrow_contract_address
string

The Soroban escrow contract address. Only present for merchants with settlement_mode = escrow.

escrow_platform_fee_bps
integer

Platform fee in basis points (1% = 100 bps) to be deducted at release time. Only present for merchants with settlement_mode = escrow.